asn1_get_length_ber(3)

NAME
asn1_get_length_ber - API function

SYNOPSIS
#include <libtasn1.h>

long asn1_get_length_ber(const unsigned char * ber, int ber_len, int * len);

ARGUMENTS

const unsigned char * ber
    BER data to decode.

int ber_len
    Length of BER data to decode.

int * len
    Output variable containing the length of the BER length field.

DESCRIPTION
Extract a length field from BER data. The difference to asn1_get_length_der() is that this function will return a length even if the value has indefinite encoding.

RETURNS
Return the decoded length value, or negative value when the value was too big.

SINCE
2.0

COPYRIGHT
Copyright © 2006-2021 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/